summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xfpga/xilinx/programmer/program_device.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/fpga/xilinx/programmer/program_device.sh b/fpga/xilinx/programmer/program_device.sh
index 364330f..3e8bfb6 100755
--- a/fpga/xilinx/programmer/program_device.sh
+++ b/fpga/xilinx/programmer/program_device.sh
@@ -11,6 +11,17 @@ fi
UNIQUEID=$(date "+%s%N")
DEVICETYPE=$(bitdevice $1)
SVFFILE=/tmp/${UNIQUEID}.svf
+if [[ $? != 0 ]]; then
+ exit 1
+fi
bit2svf $1 $SVFFILE $DEVICETYPE
+if [[ $? != 0 ]]; then
+ rm -f $SVFFILE
+ exit 1
+fi
xsvf-rpi -v -s $SVFFILE
+if [[ $? != 0 ]]; then
+ rm $SVFFILE
+ exit 1
+fi
rm $SVFFILE